Hosts should be able to inherit their environment from their hostgroup
Priority: Normal   

Assignee:    

Category: Host groups   

Target version:    
Pull request:    

Description

I have created a hierarchy of hostgroups with different environments assigned to them. When a new Puppet node is contacting the

Puppet server, it is automatically created and shown in Foreman with a default 'production' environment. I then assign the node to its

correct hostgroup, but it does not automatically inherit its environment from its hostgroup, as I would like.

It should be possible (perhaps optional) to have a node always inherit its environment from its hostgroup, so moving a node to a

different hostgroup is easier and less error-prone.

Related issues:

Related to Foreman - Feature #2436: Ability to update Puppet CA and Puppet Ma... New 04/29/2013

History

#1 - 02/11/2015 08:24 AM - Erwin Van de Velde

- Related to Feature #2436: Ability to update Puppet CA and Puppet Master for multiple hosts added

#2 - 02/11/2015 08:27 AM - Dominic Cleal

- Category set to Host groups

#3 - 05/19/2016 05:35 AM - José M  Roldán

Hi, I'm having the same issue.

I'm using the foreman_default_hostgroup plugin to add the nodes automatically to their hostgroups but they don't inherit the environment set for that

group, they get the default 'production' environment.

Is there any fix or workaround to make it inherit the proper environment? It would really make things easier for new deployments.

Thanks

#4 - 12/09/2021 02:55 PM - Ondřej Ezr

- Status changed from New to Rejected

Inheritance is possible, but need to be manually set on the Host. I think that it means this issue is Resolved, if you feel it is not sufficient, please

reopen with more info about how would you imagine this would work more automatically and we can have a look into that.

#5 - 12/09/2021 02:55 PM - Ondřej Ezr

- Status changed from Rejected to Resolved
